<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<html>
<jsp:include page="../fragments/header.jsp" />
<body>
	<div class="container">
		<jsp:include page="../fragments/mainmenu.jsp" />
		<spring:url value="/stat/exectime/results?date1=${date1}&date2=${date2}&option=${option}" var="the_query" />

	<!-- reload and CSV buttons -->
	<ul class="nav navbar-nav navbar-right">
		<li>
		<a href="${the_query}" class="btn btn-default active">Reload</a>
		</li>
		<c:choose><c:when test="${csvfile != ''}">
		<li>
		<a id="forCSVfile" download="data.csv" href="data:application/csv;charset=utf-8,${csvfile}" class="btn btn-default active">CVS</a>
		</li>
		</c:when></c:choose>
	</ul>

	<!-- main data loop  -->
	<div class="panel panel-default">
	<div class="panel-heading">
		<c:choose>
			<c:when test="${option == 'AllDates,off'}">
				<p style="font-weight:bold;">Time execution for the whole period (${ndays} days)</p>
			</c:when>
			<c:otherwise>
				<p style="font-weight:bold;">Time execution for the interval: ${date1} - ${date2} (${ndays} days)</p>
			</c:otherwise>
		</c:choose>
	</div>
	
	<div class="panel-body">
		<c:choose>
			<c:when test="${result == null}">
				<p>No jobs for this period</p>
			</c:when>
		<c:otherwise>
			<div class="table-responsive">
			<table class="table table-striped table-hover table-bordered">
				<thead>
				<tr>
					<th style="text-align: center; width: 150px">Date</th>
					<th style="text-align: center; width: 150px">Total</th>
					<th style="text-align: center; width: 150px">0 - 30 s</th>
					<th style="text-align: center; width: 150px">30 - 60 s</th>
					<th style="text-align: center; width: 150px">1 - 2 min</th>
					<th style="text-align: center; width: 150px">2 - 10 min</th>
					<th style="text-align: center; width: 150px">more then 10 min</th>
				</tr>
			</thead>
			<tbody>
				<tr style="font-weight: bolder;">
							<td style="text-align: center">Total:</td>
							<c:set var="total" value="${result.wholeTotal}"/>
							<td style="text-align: right">${total.total}</td>
							<td style="text-align: right">${total.total0_30s}</td>
							<td style="text-align: right">${total.total30_60s}</td>
							<td style="text-align: right">${total.total1_2m}</td>
							<td style="text-align: right">${total.total2_10m}</td>
							<td style="text-align: right">${total.total10m}</td>
				</tr>

				<c:forEach items="${result.dateTotal}" var="res">
							<tr>
								<td style="text-align: center">${res.key}</td>
								<c:set var="value" value="${res.value}"/>
								<td style="text-align: right">${value.total}</td>
								<td style="text-align: right">${value.total0_30s}</td>
								<td style="text-align: right">${value.total30_60s}</td>
								<td style="text-align: right">${value.total1_2m}</td>
								<td style="text-align: right">${value.total2_10m}</td>
								<td style="text-align: right">${value.total10m}</td>
							</tr>
						</c:forEach>
			</tbody>
		</table>
		</div>
		</c:otherwise>
		</c:choose>
	</div>
	</div>

	<jsp:include page="../fragments/footer.jsp" />
	</div>
</body>
</html>